Name:  reprepro
Version: 4.14.0
Release: 7%{?dist}.art
Group:   Development/Tools
Summary: Tool to handle local repositories of Debian packages
License: GPLv2
URL:  http://mirrorer.alioth.debian.org/
Source0: http://alioth.debian.org/frs/download.php/3732/reprepro_%{version}.orig.tar.gz
Patch0: reprepro.sha256.patch
%if 0%{?fedora} > 17 || 0%{?rhel} > 6
BuildRequires: libdb-devel
%else
BuildRequires: db4-devel
%endif
BuildRequires: libarchive-devel
BuildRequires: bzip2-devel
BuildRequires: libgpg-error-devel
BuildRequires: libxml2-devel
BuildRequires: gpgme-devel
BuildRequires: openssl-devel

%description
reprepro is a tool to manage a repository of Debian packages (.deb).
It stores files either being injected manually or downloaded from some other 
repository (partially) mirrored into one pool/ hierarchy. 
Managed packages and files are stored in a Berkeley DB, so no database server is 
needed. Checking signatures of mirrored repositories and creating signatures of 
the generated Package indexes is supported. 

%prep
%setup -q
#%patch0 -p1 
%{configure}

%build
%{configure}
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%if 0%{?rhel} && 0%{?rhel} <= 6
%defattr(-,root,root,-)
%endif
%{_mandir}/man1/changestool.1*
%{_mandir}/man1/reprepro.1*
%{_mandir}/man1/rredtool.1*
%doc docs/di.example/DI-filter.sh
%doc docs/di.example/distributions
%doc docs/di.example/README
%doc docs/di.example/updates
%doc docs/bzip.example
%doc docs/changelogs.example
%doc docs/copybyhand.example
%doc docs/tiffany.example
%doc docs/recovery
%doc docs/manual.html
%doc docs/short-howto
%doc docs/reprepro.bash_completion
%doc docs/reprepro.zsh_completion
%doc docs/FAQ
%doc AUTHORS
%doc README
%doc NEWS
%doc COPYING
%{_bindir}/changestool
%{_bindir}/reprepro
%{_bindir}/rredtool

%changelog
* Wed Apr 16 2014 Scott R. Shinn <scott@atomicorp.com>- 4.14.0-7
- Update to 4.14.0

* Wed Oct 31 2012 Sebastien Caps <sebastien.caps@guardis.com> - 4.12.3-6.fc16
- Fixed ifs blocks for fedora/rhel based on G Swift comments 

* Wed Oct 31 2012 Sebastien Caps <sebastien.caps@guardis.com> - 4.12.3-5.fc16
- Feedback on openssl patch, patched sha256 error for fc18

* Sun Oct 21 2012 Sebastien Caps <sebastien.caps@guardis.com> - 4.12.3-4.fc16
- Fix build dependencies usage on el6
- Switch to openssl md5 and sha because of sha256 errors on fc18

* Wed Aug 29 2012 Sebastien Caps <sebastien.caps@guardis.com> - 4.12.3-3.fc16
- Switch from db4-devel db.h to libdb-devel for fc18.

* Tue Aug 14 2012 Sebastien Caps <sebastien.caps@guardis.com> - 4.12.3-2.fc16
- Fix some spec file issue.

* Mon Jul 9 2012 Sebastien Caps <sebastien.caps@guardis.com> - 4.12.3-1.fc16
- Initial spec.
